Update booking notes
Method POST
https://my.easyweek.io/api/public/v2/bookings/{booking_uid}/public_notes
Description: This endpoint is designed to update or add a public note to an existing booking. Public notes are visible to both staff and customers and can be used for additional information or special instructions related to the booking.
Example Request
curl -i -X POST \
https://my.easyweek.io/api/public/v2/bookings/{booking_uid}/public_notes \
-H 'Authorization: Bearer <YOUR_SECRET>' \
-H 'Workspace: <YOUR_WORKSPACE>'
Request body
{
"value": "my notes"
}
Path Parameters
- booking_uuid (string, required): The unique identifier of the booking for which the public note is to be updated.
Body Parameters
- value (string, required): The text content of the public note to be associated with the booking.
Example Response
{
"uuid": "ceeabc63-7502-4158-b27e-7d051ce36c24",
"location_uuid": "123b2980-3506-4f8c-abce-97e1ab653406",
"start_time": "2023-12-21T10:00:00Z",
"end_time": "2023-12-21T10:30:00Z",
"timezone": "Europe/Berlin",
"duration": {
"value": 30,
"label": "minutes",
"iso_8601": "PT30M"
},
"quantity": 1,
"slots_count": 1,
"cancel_reason": null,
"canceled_by": null,
"is_canceled": false,
"is_completed": false,
"public_notes": "my notes",
"currency": "EUR",
"policy": {
"policy_text": null,
"is_cancelable": true,
"cancellation_offset": 0,
"cancellation_text": null,
"is_changeable": true,
"change_offset": 0,
"change_text": null
},
"links": [
{
"type": "ical",
"link": "https://my.easyweek.io/api/notifications/bookings/6005979/icalendar"
},
{
"type": "google_meet",
"link": ""
},
{
"type": "zoom",
"link": ""
},
{
"type": "microsoft_teams",
"link": ""
}
],
"order": {
"tax": [],
"subtotal": 10000,
"subtotal_formatted": "€100.00",
"amount_paid": 0,
"amount_paid_formatted": "€0.00",
"total": 10000,
"total_formatted": "€100.00"
},
"ordered_services": [
{
"uuid": "1e5851a6-eb6b-4b3c-a328-66cfbe1ac965",
"timezone": "Europe/Berlin",
"reserved_on": "2023-12-21T10:00:00Z",
"reserved_until": "2023-12-21T10:30:00Z",
"quantity": 1,
"name": "Beard trim",
"currency": "EUR",
"price": 10000,
"price_formatted": "€100.00",
"discount": 0,
"discount_formatted": "€0.00",
"original_price": 10000,
"original_price_formatted": "€100.00",
"tax_name": null,
"tax_value": null,
"duration": {
"value": 30,
"label": "minutes",
"iso_8601": "PT30M"
},
"original_duration": {
"value": 30,
"label": "minutes",
"iso_8601": "PT30M"
}
}
]
}